<div class="order_status_top_line" style="background-color: #d5d5d5;border-bottom-color: #d5d5d5;"
  *ngIf="showRequirementPendingBand==true">
  <h3><i class="fa fa-hourglass-o"></i> Requirement Pending. <span *ngIf="groupId == 3">You EARNED 
      {{orderDetails?.total_amount-orderDetails?.service_fee | currency: 'INR':'symbol':'1.0-0'}}</span>
  </h3>
</div>
<div class="order_status_top_line" style="background-color: #59baff;border-bottom-color: #59baff;"
  *ngIf="orderDetails?.order_status?.id==3">
  <h3><i class="fa fa-hourglass-half"></i> Order Inprocess. <span *ngIf="groupId == 3">You EARNED 
      {{orderDetails?.total_amount-orderDetails?.service_fee | currency: 'INR':'symbol':'1.0-0'}}</span>
  </h3>
</div>
<div class="order_status_top_line" style="background-color: #f0df15;border-bottom-color: #f0df15;"
  *ngIf="orderDetails?.order_status?.id==4">
  <h3><i class="fa fa-shopping-cart"></i> Order Delivered. <span *ngIf="groupId == 3">You EARNED 
      {{orderDetails?.total_amount-orderDetails?.service_fee | currency: 'INR':'symbol':'1.0-0'}}</span></h3>
</div>
<div class="order_status_top_line" *ngIf="orderDetails?.order_status?.id==6">
  <h3><i class="fa fa-gift"></i> Order Completed. <span *ngIf="groupId == 3">You EARNED 
      {{orderDetails?.total_amount-orderDetails?.service_fee | currency: 'INR':'symbol':'1.0-0'}}</span></h3>
</div>
<div class="order_status_top_line" style="background-color: #ff7d7d;border-bottom-color: #ff7d7d;"
  *ngIf="orderDetails?.order_status?.id==7">
  <h3><i class="fa fa-times"></i> Order Dispute. <span *ngIf="groupId == 3">You EARNED 
      {{orderDetails?.total_amount-orderDetails?.service_fee | currency: 'INR':'symbol':'1.0-0'}}</span></h3>
</div>
<div class="order_status_top_line" style="background-color: #17a2b8;;border-bottom-color: #17a2b8;"
  *ngIf="orderDetails?.order_status?.id==5">
  <h3><i class="fa fa-times"></i> Modification Required <span *ngIf="groupId == 3">You EARNED 
      {{orderDetails?.total_amount-orderDetails?.service_fee | currency: 'INR':'symbol':'1.0-0'}}</span></h3>
</div>

<section class="Buyer_OrderPlaced_Page_css">
  <div class="container">
    <div class="row">
      <div class="col-md-7 offset-1 noPadding_xs">
        <div class="border_class">

          <div class="row">
            <div class="col-md-12 noPadding_xs">
              <div class="tabbable-panel">
                <div class="tabbable-line">
                  <ul class="nav nav-tabs bg_color_tabs">
                    <li>
                      <a href="#tab_default_0" class="active" data-toggle="tab">ORDER DETAILS</a>
                    </li>
                    <li>
                      <a href="#tab_default_1" data-toggle="tab">DELIVERY</a>
                    </li>
                  </ul>
                  <div class="tab-content" style="padding: 20px 20px 20px;">
                    <div class="tab-pane active" id="tab_default_0">

                      <div class="order_summary">
                        <div class="row">
                          <div class="col-md-8 noPadding_xs">
                            <h6><b>Order No :</b> {{orderDetails?.order_no}}</h6>
                            <h6><b>Order Date :</b> {{orderDetails?.created_date}}</h6>
                          </div>
                        </div>
                        <hr />
                        <div class="row">
                          <div class="col-md-8 noPadding_xs">
                            <div id="photo_img">
                              <ng-container *ngIf="orderDetails?.gallery!=undefined && orderDetails?.gallery.length>0">
                                <img src="{{orderDetails?.gallery[0]?.file_path_thumbnail}}" alt="Product image" />
                              </ng-container>
                              <div>
                                <p class="prod_name"
                                  (click)="showgigDetails(orderDetails?.gig?.id,orderDetails?.gig?.gig_status.id)">
                                  {{orderDetails?.gig?.title}}</p>
                                <p class="seller_name"><i>by</i> <span *ngIf="groupId!=1"
                                    style="cursor: pointer;color:#19b5fe;padding-left: 5px;"
                                    (click)="onSellerClick(orderDetails?.gig?.created_by?.id)">{{orderDetails?.gig?.created_by?.user_name}}</span>
                                  <span *ngIf="groupId==1"
                                    style="padding-left: 5px;">{{orderDetails?.gig?.created_by?.user_name}}</span>
                                </p>
                                <p class="seller_name">{{orderDetails?.gig?.created_by?.level?.level_name}}</p>
                              </div>
                            </div>
                          </div>

                          <div class="col-md-2 col-xs-6 text-right noPadding_xs text_align_left_mobile">
                            <p>{{orderDetails?.order_gig_price[0]?.price | currency: 'INR':'symbol':'1.0-0'}}</p>
                          </div>
                          <div class="col-md-1 col-xs-3 text-right noPadding_xs text_align_left_mobile"
                            style="padding: 0;">
                            <ng-container *ngIf="orderDetails?.delivery_time>1">
                              <p>{{orderDetails?.delivery_time}} Days</p>
                            </ng-container>
                            <ng-container *ngIf="orderDetails?.delivery_time==1">
                              <p>{{orderDetails?.delivery_time}} Day</p>
                            </ng-container>
                          </div>
                          <div class="col-md-1 col-xs-3 text-right noPadding_xs">
                            <p>x {{orderDetails?.order_gig_price[0]?.quantity}}</p>
                          </div>
                        </div>
                        <hr style="margin-top: 9px;border-top: 1px solid rgb(0 0 0);" />
                        <div class="row">
                          <div class="col-md-8">
                          </div>
                          <div class="col-md-2 col-xs-6 text-right noPadding_xs">
                            <p><b>Quantity</b></p>
                          </div>
                          <div class="col-md-2 col-xs-6 text-right noPadding_xs">
                            <p><b>{{orderDetails?.order_gig_price[0]?.quantity}}</b></p>
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-md-8">
                          </div>
                          <div class="col-md-2 col-xs-6 text-right noPadding_xs">
                            <p><b>Total</b></p>
                          </div>
                          <div class="col-md-2 col-xs-6 text-right noPadding_xs">
                            <p><b>{{orderDetails?.order_gig_price[0]?.amount | currency: 'INR':'symbol':'1.0-0'}}</b></p>
                          </div>
                        </div>
                      </div>

                      <div class="comment_section"
                        *ngIf="orderDetails?.extra_service.length>0 || requirement_details?.results.length>0">
                        <div class="row" *ngIf="orderDetails?.extra_service.length>0">
                          <div class="col-md-12 noPadding_xs">
                            <fieldset class="scheduler-border">
                              <legend class="scheduler-border">Extra Services</legend>
                              <div class="row">
                                <div class="col-md-12 noPadding_xs">
                                  <div class="upgrades" style="width: 100%;padding-top: 0px;padding-bottom: 0px;">

                                    <div class="">
                                      <ul class="list-group">
                                        <li class="Extra_services_OrderPlaced"
                                          *ngFor="let item of orderDetails?.extra_service">
                                          <label class="checkbox">
                                            <input type="checkbox" checked="checked" disabled="disabled">
                                            <span class="default"></span>
                                          </label>
                                          <div class="row">
                                            <div class="col-md-8">
                                              <h6 class="cart_headtext">{{item.price_extra_service?.title}} <small
                                                  *ngIf="item.extra_days>1">(+{{item.extra_days}} Days)</small>
                                                <small *ngIf="item.extra_days==1">(+{{item.extra_days}} Day)</small>
                                              </h6>
                                              <!-- <p class="cart_subtext">Seller converts his/her design visualization into usable code.</p> -->
                                            </div>
                                            <div class="col-md-2">
                                              <label class="" style="display: inline-flex;">
                                                <span style="margin: 7px 10px 7px 0px;">Qty</span>
                                                <select disabled="disabled" [(ngModel)]="item.quantity">
                                                  <option value="1">1</option>
                                                  <option value="2">2</option>
                                                  <option value="3">3</option>
                                                  <option value="4">4</option>
                                                  <option value="5">5</option>
                                                  <option value="6">6</option>
                                                  <option value="7">7</option>
                                                  <option value="8">8</option>
                                                  <option value="9">9</option>
                                                  <option value="10">10</option>
                                                  <option value="11">11</option>
                                                  <option value="12">12</option>
                                                  <option value="13">13</option>
                                                  <option value="14">14</option>
                                                  <option value="15">15</option>
                                                  <option value="16">16</option>
                                                  <option value="17">17</option>
                                                  <option value="18">18</option>
                                                  <option value="19">19</option>
                                                  <option value="20">20</option>
                                                </select>
                                              </label>
                                            </div>
                                            <div class="col-md-2 pd_0 text-right">
                                              <h6 class="price"> {{item.amount | currency: 'INR':'symbol':'1.0-0'}}</h6>
                                            </div>
                                          </div>
                                        </li>


                                      </ul>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </fieldset>
                          </div>
                        </div>

                        <div class="row Requirement_details_div" *ngIf="requirement_details?.results.length>0">
                          <div class="col-md-12 noPadding_xs">
                            <fieldset class="scheduler-border">
                              <legend class="scheduler-border">Requirement Details</legend>
                              <p>Your buyer has filled out the requirements</p>
                              <a class="collapsed" data-toggle="collapse" href="#collapseContent_Requirement"
                                style="color: #19b5fe;font-weight: 400;" role="button" aria-expanded="false"
                                aria-controls="collapseContent_Requirement"><span class="if-collapsed">Show Content <i
                                    class="fa fa-chevron-down" style="color: #19b5fe;"></i></span>
                                <span class="if-not-collapsed">Hide Content <i class="fa fa-chevron-up"
                                    style="color: #19b5fe;"></i></span>
                              </a>

                              <div class="collapse" id="collapseContent_Requirement">
                                <div class="card card-body"
                                  style="border: none;padding: 0;background-color: transparent;">
                                  <div class="add_additional_details" style="margin-bottom: 15px;"
                                    *ngIf="showRequirement==true">
                                    <div class="row">
                                      <div class="col-md-12">
                                        <ng-container *ngFor="let item of requirement_details.results; let i=index">
                                          <div class="form-group"
                                            *ngIf="item.question_form.id==1 || item.question_form.id==2">
                                            <h6>{{i+1}}. {{item.question}}</h6>
                                            <h5>{{item.buildDescription}}</h5>
                                          </div>
                                          <div class="form-group" *ngIf="item.question_form.id==3">
                                            <h6>{{i+1}}. {{item.question}}</h6>
                                            <div style="display: inline-flex;">
                                              <ng-container *ngFor='let url of item.description'>

                                                <div class="photo_upload">
                                                  <label class="newbtn newbtn_photo">
                                                    <div class="imgMask" *ngIf="url.file_path!=null">
                                                      <div class="imgMask-content">
                                                        <button class="profile_img">
                                                          <img [attr.id]="(url.id)" [src]="url.file_path" title=""
                                                            (click)="openFile(url.file_path)" />
                                                        </button>
                                                      </div>
                                                    </div>
                                                  </label>
                                                </div>
                                              </ng-container>
                                            </div>
                                          </div>
                                          <hr style="margin: 5px 0px;" />
                                        </ng-container>
                                      </div>
                                    </div>
                                  </div>



                                  <div class="add_additional_details" *ngIf="showRequirement==false">
                                    <p class="mb-3 text-left">You need to submit your additional details to seller, to
                                      start working on this order.</p>

                                    <div class="submit_additional_details_css">
                                      <ng-container
                                        *ngFor="let item of orderRequirementDetails?.requirement; let i=index">
                                        <div class="form-group">
                                          <h6>Q.{{i+1}} {{item.question}}<span class="star_mark"
                                              *ngIf="item.is_mandatory==true">*</span>&nbsp;<span
                                              *ngIf="item.question_form?.id==3"
                                              style="font-weight: 300;color: #ff0000;">(image/pdf/audio/video/pptx/docx/txt/xlsx)</span>
                                          </h6>
                                          <button type="button" value="DisplayFileErrorMsg" id="fileErrorMsg"
                                            style="display:none;" (click)="displayFileErrorMsg()"></button>
                                          <input *ngIf="item.question_form?.id==1" type="text" class="form-control"
                                            [id]="'requirementAnsText_'+item.id" [name]="'requirementAnsText_'+item.id"
                                            placeholder="answer" [(ngModel)]="item.ansText" />

                                          <div class="select_option"
                                            *ngIf="item.question_form?.id==2 && item.is_multiselect==false">
                                            <select class="form-control" [name]="'requirementAnsDropDown_'+item.id"
                                              [id]="'requirementAnsDropDown_'+item.id" [(ngModel)]="item.ansDropDown">
                                              <option value="0">Select from list</option>
                                              <option *ngFor="let option of item.gig_description"
                                                value={{option.description}}>{{option.description}}
                                              </option>
                                            </select>
                                          </div>
                                          <div style="display: inline-flex;"
                                            *ngIf="item.question_form?.id==2 && item.is_multiselect==true">
                                            <div style="white-space: nowrap;"
                                              *ngFor="let option of item.gig_description">
                                              <input class="styled-checkbox"
                                                id="{{'requirementAnsCheckBox_'+option.id}}" [(ngModel)]="option.check"
                                                type="checkbox" [name]="'requirementAnsCheckBox_'+option.id"
                                                (change)="onrequirementCheckChange(item.id,option.id,option.description,option.check)">
                                              <label for="{{'requirementAnsCheckBox_'+option.id}}"
                                                style="margin-right: 20px;z-index: 1;">
                                                {{option.description}}</label>

                                            </div>
                                          </div>
                                          <div style="display: inline-flex;" *ngIf="item.question_form?.id==3">
                                            <div class="photo_upload">
                                              <ng-container *ngFor='let url of item.urls'>
                                                <label class="newbtn newbtn_photo">
                                                  <div class="imgMask" *ngIf="url.file_path!=null">
                                                    <div class="imgMask-content">
                                                      <button class="profile_img">
                                                        <img [attr.id]="(url.id)" [src]="url.file_path" title="" />
                                                        <i class="fa fa-times-circle image-cancel isDisabled"
                                                          (click)="deleteImage(url,item)"></i>
                                                      </button>
                                                    </div>
                                                  </div>
                                                </label>
                                              </ng-container>
                                              <label class="newbtn newbtn_photo" *ngIf="item.urls?.length<3">
                                                <div class="imgMask">
                                                  <div class="imgMask-content">
                                                    <button class="profile_img byDefaultUploadImg">
                                                      <img src="assets/img/img_upload.svg" class="img-responsive" />
                                                      <!-- <h6>Browse</h6> -->
                                                    </button>
                                                    <input type="file" name="file_image[]" id="file_image" #file_image
                                                      (change)="fileChanged($event,item)" multiple autocomplete="off" />
                                                  </div>
                                                </div>
                                              </label>
                                            </div>
                                          </div>
                                        </div>
                                      </ng-container>
                                      <a href="javascript:void(0)" class="btn btn-primary submit_requirement_btn mt-3"
                                        *ngIf="groupId==2" (click)="onSubmitRequirement()">Submit</a>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </fieldset>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="tab-pane" id="tab_default_1">
                      <ng-container
                        *ngIf="order_delivery_details?.result!=null && order_delivery_details?.result!=undefined && 
                      order_delivery_details?.result?.length>0 && orderDetails?.order_status?.id!=2 && orderDetails?.order_status?.id!=3">


                        <ng-container *ngFor="let item of order_delivery_details?.result">
                          <article id="last-delivery" class="order-status-lrg js-order-delivery">
                            <header>
                              <img src="assets/img/order_placed.png">
                              <h4 class="delivered ">HERE'S YOUR DELIVERY!</h4>
                            </header>
                            <p *ngIf="item.order_complete_days_limit>1">This order will be marked as complete in
                              {{item.order_complete_days_limit}} days.</p>
                            <p *ngIf="item.order_complete_days_limit==1">This order will be marked as complete in
                              {{item.order_complete_days_limit}} day.</p>
                            <div>
                              <div class="conv-message mt-4" style="border-bottom: 0px;">
                                <span class="user-pict-50"><a href="/neoteric1"><img
                                      src="https://fiverr-res.cloudinary.com/image/upload/t_profile_thumb,q_auto,f_auto/v1/attachments/profile/photo/7005af162bbef70cc545ae017cce8362-1612442715030/c233ab4a-6c27-49dc-9313-0babf6a14f04.png"
                                      alt="neoteric1" width="50" height="50" data-reload="inprogress"></a></span>
                                <h4 style="cursor: pointer;color:#19b5fe;padding-left: 5px;"
                                  (click)="onSellerClick(orderDetails?.gig?.created_by?.id)">
                                  {{orderDetails?.gig?.created_by?.user_name}}</h4>
                                <div class="msg-body has-review">
                                  <ng-container *ngFor="let option of item.comment">
                                    <p>{{option.comment}}</p>
                                  </ng-container>

                                </div>
                              </div>
                              <div class="File_Delivered text-left"
                                *ngIf="item.filename!=null && item.filename!=undefined && item.filename!=''">
                                <h6>DELIVERED FILES</h6>
                                <a href="javascript:void(0)" style="color: #007bff !important;"
                                  (click)="onDeliveryFileClick(item.filename)">
                                  <i class="fa fa-download"></i> {{item.filename}} <span
                                    *ngIf="item.filename!=null && item.filename!=undefined && item.filename!=''">({{item.file_size}})</span></a>
                                <p
                                  *ngIf="item.created_date!=null && item.created_date!=undefined && item.created_date!=''">
                                  {{item.created_date}}</p>
                              </div>
                            </div>
                          </article>
                        </ng-container>
                      </ng-container>
                      <ng-container *ngIf="order_delivery_details?.result==null || order_delivery_details?.result==undefined || order_delivery_details?.result?.length==0 
                    || orderDetails?.order_status?.id==2 || orderDetails?.order_status?.id==3">
                        No Records found.
                      </ng-container>



                      <div class="row Review_div"
                        *ngIf="order_review_details!=null && order_review_details!=undefined && order_review_details?.length>0">
                        <div class="col-md-12 noPadding_xs">
                          <fieldset class="scheduler-border">
                            <legend class="scheduler-border">Review</legend>


                            <p>Order Review</p>
                            <a class="collapsed" data-toggle="collapse" href="#collapseContent_Reviews"
                              style="color: #19b5fe;font-weight: 400;" role="button" aria-expanded="false"
                              aria-controls="collapseContent_Reviews"><span class="if-collapsed">Show Reviews <i
                                  class="fa fa-chevron-down" style="color: #19b5fe;"></i></span>
                              <span class="if-not-collapsed">Hide Reviews <i class="fa fa-chevron-up"
                                  style="color: #19b5fe;"></i></span>
                            </a>


                            <div class="collapse" id="collapseContent_Reviews">
                              <div class="card card-body"
                                style="border: none;padding: 0;background-color: transparent;">
                                <div class="conv-message" *ngFor="let item of order_review_details">
                                  <span class="user-pict-50"><a href="javascript:void(0)"><img
                                        src="{{item.buyer?.user_info?.profile_picture}}" width="50" height="50"
                                        data-reload="inprogress"></a></span>
                                  <h4 style="color: #19b5fe;">
                                    {{item.buyer?.user_name}}
                                    <strong *ngIf="item.seller_rating!=null" style="color: #feb819;font-size: 13px;"
                                      class="stars_container">{{getStar(item.seller_rating)}}
                                      <span [innerHtml]="printStar">
                                      </span>
                                    </strong>
                                  </h4>
                                  <div class="msg-body has-review">

                                    <strong *ngIf="item.seller_rating==null"
                                      class="stars_container_empty">{{getEmptyStar()}}
                                      <span [innerHtml]="printStarEmpty">
                                      </span>
                                    </strong>
                                    <!-- <span class="rating rate-10"></span> -->
                                    <p style="margin-bottom: 3px;">{{item.seller_feedback}}</p>
                                    <time datetime="2020-12-29" style="font-size: 13px;color: #b7b7b7;">about
                                      {{item.created_date|dateAgo}}</time>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </fieldset>
                        </div>
                      </div>

                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row" style="margin-top: 20px;">
            <div class="col-md-12 text-right noPadding_xs" *ngIf="groupId==2">
              <a href="javascript:void(0)" style="margin-left: 5px;" class="btn btn-info btn-sm margin_bottom_mobile"
                data-toggle="modal" (click)="onClickModificationRequired()"
                data-target="#modification_required_btn_click"
                *ngIf="orderDetails?.order_status?.id==4 && lastCommentId>0">Modification Required</a>
              <a href="javascript:void(0)" style="margin-left: 5px;" class="btn btn-success btn-sm margin_bottom_mobile"
                data-toggle="modal" (click)="onclickCompleted()" data-target="#give_rating"
                *ngIf="orderDetails?.order_status?.id==4">Completed</a>
              <a href="javascript:void(0)" style="margin-left: 5px;" class="btn btn-danger btn-sm margin_bottom_mobile"
                data-toggle="modal" (click)="onClickRaiseDispute()" data-target="#Remark"
                *ngIf="orderDetails?.order_status?.id==3 || orderDetails?.order_status?.id==4 || orderDetails?.order_status?.id==5">Raise
                Dispute</a>
              <a href="javascript:void(0)" style="margin-left: 5px;" class="btn btn-secondary btn-sm margin_bottom_mobile"
                data-toggle="modal" (click)="onCancelOrderClick()" data-target="#cancelled_btn_click"
                *ngIf="orderDetails?.order_status?.id==3 || orderDetails?.order_status?.id==4 || orderDetails?.order_status?.id==5">Cancelled</a>
            </div>
            <div class="col-md-12 text-right noPadding_xs" *ngIf="groupId==3">
              <a href="javascript:void(0)" style="margin-left: 5px;" class="btn btn-primary btn-sm margin_bottom_mobile"
                (click)="onClickInProcess()"
                *ngIf="(orderDetails?.requirement_submit_date==null || orderDetails?.requirement_submit_date==undefined || requirement_details?.results?.length==0) && orderDetails?.order_status?.id!=3">Inprocess</a>
              <!-- submit date null, if requirement array blank,call orders/requirements-update/ without body -->
              <a href="javascript:void(0)" style="margin-left: 5px;" class="btn btn-warning btn-sm margin_bottom_mobile"
                data-toggle="modal" (click)="onClickSubMitForReview()" data-target="#submit_for_review_btn_click"
                *ngIf="(orderDetails?.order_status?.id==3 || orderDetails?.order_status?.id==5) && requirementMandatoryFound==false">Submit
                for Review</a>
              <a href="javascript:void(0)" style="margin-left: 5px;" class="btn btn-secondary btn-sm margin_bottom_mobile"
                data-toggle="modal" (click)="onCancelOrderClick()" data-target="#cancelled_btn_click"
                *ngIf="orderDetails?.order_status?.id==3 || orderDetails?.order_status?.id==4 || orderDetails?.order_status?.id==5">Cancelled</a>
            </div>
            <div class="col-md-12 text-right noPadding_xs" *ngIf="groupId==1">
              <a href="javascript:void(0)" style="margin-left: 5px;" class="btn btn-reject btn-sm margin_bottom_mobile"
                data-toggle="modal" (click)="onClickforRefund()" data-target="#initiate_refund_btn_click"
                *ngIf="(orderDetails?.order_status?.id==8)">Initiate Refund</a>
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-3" style="padding: 0px 0px;">
        <div class="border_class" *ngIf="groupId == 2 || groupId == 3"
          style="padding: 0em 0em 1.5em;background-color: #bdfeff;position: relative;background-image: url(img/chat_bg_img1.png);">
          <div class="Chatroom_text"
            style="background-color: #15b074;padding: 15px 15px;margin-bottom: 15px;box-shadow: 0 1px 6px 0 rgb(32 33 36 / 28%);">
            <h4 style="margin-bottom: 0;line-height: 1;color: #fff;"><i class="fa fa-comments-o" aria-hidden="true"></i>
              Chatroom</h4>
          </div>
          <div class="container noPadding_xs">
            <div class="row">
              <div class="col-md-12 noPadding_xs chatbot_height_mobile"
                style="padding: 5px 15px 60px;height: 500px;overflow: auto;margin-bottom: 43px;">
                <ng-container *ngIf="showChat==true">
                  <div class="row" *ngFor="let item of orders_chat?.results">
                    <div class="col-md-12 col-12">
                      <div [attr.id]="item.created_by?.id!=userId?'comment_bubble_left':'comment_bubble_right'">
                        <h6>{{item.created_by?.user_name}} <span>{{item.created_date|date:'dd MMM yyyy '}}</span></h6>
                        <ng-container *ngIf="item.chat!=null && item.file_path==null">
                          <p>{{item.chat}}</p>
                        </ng-container>
                        <ng-container *ngIf="item.chat==null && item.file_path!=null">

                          <ng-container *ngIf="item.file_type=='image'">
                            <p><img [src]="item.file_path" title="" (click)="openFile(item.file_path)" /></p>
                          </ng-container>

                          <ng-container *ngIf="item.file_type=='doc'">
                            <p><a (click)="openFile(item.file_path)"
                                style="cursor:pointer;white-space: normal;word-break: break-all;color: #19b5fe;">{{item.file_name}}</a>
                            </p>
                          </ng-container>

                          <ng-container *ngIf="item.file_type=='video'">
                            <p>
                              <vg-player>
                                <video #media [vgMedia]="media" id="singleVideo" preload="auto" controls>
                                  <source src="{{item.file_path}}" type="video/mp4">
                                </video>
                              </vg-player>
                            </p>
                          </ng-container>

                          <ng-container *ngIf="item.file_type=='audio'">
                            <p>
                              <mat-basic-audio-player [audioUrl]="item.file_path" [autoPlay]="false" muted="muted"
                                [displayTitle]="false" [displayVolumeControls]="false">
                              </mat-basic-audio-player>
                            </p>
                          </ng-container>

                        </ng-container>

                      </div>
                    </div>
                  </div>
                </ng-container>
              </div>
            </div>


            <div id="bottom_panel" style="padding: 15px 5px;position: absolute;left: 0;bottom: 0;width: 100%;">
              <div class="row">
                <div class="col-md-9 col-9 noPadding_xs"
                  style="padding: 0px 0px 0px 15px;flex: 0 0 70%; max-width: 70%;">
                  <form>
                    <div class="input-group">

                      <input type="text" class="form-control" name="chat_message" *ngIf="showFileChatInput==false"
                        (keypress)="enterClick($event)" [(ngModel)]="chat_message" placeholder="Type a message"
                        style="border-left: 0;border-right:0px;padding: 4px 20px;border-radius:50px;box-shadow:none;border:none;">
                      <label class="filelabel" *ngIf="showFileChatInput==true" style="margin-left: 5px;margin-bottom: 0px !important;border: 1px solid #ced4da !important;background-color:white;padding: 4px 20px 4px 14px;border-radius: 30px;
                                          width: 100%;">
                        <div style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">{{filenameChat}}
                        </div>
                      </label>
                      <i class="fa fa-times" *ngIf="showFileChatInput==true" style="position: absolute;
                                          top: 7px;
                                          right: 8px;
                                          z-index: 999999999;
                                          color: gray;" (click)="removeFileChat()"></i>
                    </div>
                  </form>
                </div>
                <div class="col-md-3 col-3" style="flex: 0 0 30%;max-width: 30%;">
                  <div class="sosial-links" style="display: flex;">
                    <input type="file" class="form-control form_control inputfile" id="chat_File" #chat_File
                      style="line-height:15px; width: 100%;" name="chat_File" (change)="ChatfileChanged($event)">
                    <label for="chat_File" class="filelabel"
                      style="border: 1px solid #fff;background-color: #fff;margin-bottom: 0px !important;border-radius: 50px;width: 34px;height: 34px;margin-right: 5px;">
                      <i class="fa fa-paperclip"
                        style="padding: 3px 2px;font-size: 17px;color: #22bb9a;font-weight: 600;"></i></label>
                    <button (click)="sendMessage()" id="btnSendMessage" style="margin-right: 0;"><i
                        class="fa fa-chevron-right"></i></button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>




<div id="Remark" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog" style="width: 500px;">
    <div class="modal-content">
      <div class="modal-header custom_modal_header">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Remark</h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body custom_modal_body">
        <div class="row">
          <div class="col-md-12 pd_0">
            <div class="form-group">
              <textarea class="form-control" rows="3" placeholder="Type here..." name="raiseDisputeRemark"
                [(ngModel)]="raiseDisputeRemark"></textarea>
              <span class="error_msg"
                *ngIf="checkRaiseDispute && (raiseDisputeRemark==null || raiseDisputeRemark==undefined || raiseDisputeRemark.trim()=='')">
                Please enter remark.
              </span>
            </div>

            <div class="text-right">
              <a href="javascript:void(0)" class="btn detail_submit_btn" style="padding:4px 15px !important;"
                (click)="onClickRaiseDisputeRemarkSubmit()">Submit</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="give_rating" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content" style="border-radius: 0px;border-color: #28a745;">

      <div class="modal-header custom_modal_header" style="background-color: #28a745;">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Rating</h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body" style="padding:1rem 1.5rem;text-align: left;border-bottom: 0px;">
        <div class="form-group">
          <h6 class="modal-title" style="color: #393939;">Please rate your buyer</h6>
          <div class="row">
            <div class="col-md-12 row_padding">
              <div class="rating xyz">
                <input type="radio" id="star5" name="rating" value="5" [checked]="rating===5" />
                <label class="full" for="star5" title="5 stars" (click)='onStarClick(5)'></label>

                <input type="radio" id="star4" name="rating" value="4" [checked]="rating===4" />
                <label class="full" for="star4" title="4 stars" (click)='onStarClick(4)'></label>

                <input type="radio" id="star3" name="rating" value="3" [checked]="rating===3" />
                <label class="full" for="star3" title="3 stars" (click)='onStarClick(3)'></label>

                <input type="radio" id="star2" name="rating" value="2" [checked]="rating===2" />
                <label class="full" for="star2" title="2 stars" (click)='onStarClick(2)'></label>

                <input type="radio" id="star1" name="rating" value="1" [checked]="rating===1" />
                <label class="full" for="star1" title="1 star" (click)='onStarClick(1)'></label>

              </div>

            </div>
            <div class="col-md-12 row_padding">
              <span class="error_msg"
                *ngIf="checkCompleted && (ratingCount==0 || ratingCount==null || ratingCount==undefined)">
                Please enter rating.
              </span>
            </div>
          </div>
        </div>
        <div class="form-group">
          <h6 class="modal-title" style="color: #393939;">Comment</h6>
          <textarea class="form-control" rows="3" placeholder="Type here..." maxlength="500" name="completedComment"
            [(ngModel)]="completedComment"></textarea>
          <span class="error_msg"
            *ngIf="checkCompleted && (completedComment==null || completedComment==undefined || completedComment.trim()=='')">
            Please enter comment
          </span>
          <span class="help-block pull-right" *ngIf="completedComment?.length<500">
            <p id="characterLeft" class="help-block" style="font-size: 13px;margin-bottom: 15px;">
              {{500-completedComment?.length}} characters left</p>
          </span>
        </div>


        <div class="form-group text-right" style="margin-bottom: 5px;">
          <a href="javascript:void(0)" (click)="onSubmitCompleted()" class="btn btn-primary btn-sm my_custom_btn"
            style="width: 100px;">Submit</a>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="submit_for_review_btn_click" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content" style="border-radius: 0px;border-color: #ffc107">
      <div class="modal-header custom_modal_header" style="background-color: #ffc107;">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Submit for Review</h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body" style="padding:1rem 1.5rem;text-align: left;border-bottom: 0px;">
        <div class="form-group">
          <h6 class="modal-title" style="margin-bottom: 0px;color: #393939;">Attach Files</h6>
          <!-- <input type="file" class="form-control" style="padding: 0;line-height: 1.9;font-size: 14px;" /> -->
          <input type="file" class="form-control form_control inputfile" id="submit_reviewFile" #submit_reviewFile
            style="line-height:15px; width: 100%;" name="submit_reviewFile" (change)="SubmitReviewfileChanged($event)">
          <label for="submit_reviewFile" class="filelabel"
            style="border: 1px solid #CED4DA;background-color: #f1f1f1;margin-bottom: 0px !important;">Choose
            File</label>
          <label class="filelabel"
            style="margin-left: 5px;margin-bottom: 0px !important;">{{filenameSubmitReview}}</label>
        </div>
        <div class="form-group">
          <h6 class="modal-title" style="margin-bottom: 0px;color: #180b0b;">Comment</h6>
          <textarea class="form-control" rows="3" [(ngModel)]="submitForReviewComment" name="submitForReviewComment"
            placeholder="Type here..." maxlength="500"></textarea>
          <span class="error_msg"
            *ngIf="checkSubmitReview && (submitForReviewComment==null || submitForReviewComment==undefined || submitForReviewComment.trim()=='')">
            Please enter comment.
          </span>
          <span class="help-block pull-right" *ngIf="submitForReviewComment?.length<500">
            <p id="characterLeft" class="help-block" style="font-size: 13px;margin-bottom: 15px;">
              {{500-submitForReviewComment?.length}} characters left</p>
          </span>
        </div>
        <div class="form-group text-right" style="margin-bottom: 5px;">
          <a href="javascript:void(0)" (click)="onSubMitReview()" class="btn btn-primary btn-sm my_custom_btn"
            style="width: 100px;">Submit</a>
        </div>
      </div>
    </div>
  </div>
</div>



<div class="modal fade" id="initiate_refund_btn_click" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content" style="border-radius: 0px;border-color: #3b80ee">
      <div class="modal-header custom_modal_header" style="background-color: #528ff0;">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Initiate Refund</h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body" style="padding:1rem 1.5rem;text-align: left;border-bottom: 0px;">
        <div class="form-group">
          <h6 class="modal-title" style="margin-bottom: 0px;color: #393939;">Cancel Reason</h6>
          <span>{{cancel_reason}}</span>
        </div>
        <div class="form-group">
          <h6 class="modal-title" style="margin-bottom: 0px;color: #393939;">Refund Amount</h6>
          <input type="text" class="form-control form_control_border_radius" placeholder="Refund Amount"
            [(ngModel)]="refund_amount" name="refund_amount" required #txtrefund_amount="ngModel"
            (keypress)="onlyNumbers($event)" maxlength="10" autocomplete="off" onPaste="return false">
        </div>
        <div class="form-group">
          <h6 class="modal-title" style="margin-bottom: 0px;color: #180b0b;">Remark</h6>
          <textarea class="form-control" rows="3" [(ngModel)]="refund_remark" name="submitForRefundRemark"
            placeholder="Type here..." maxlength="500"></textarea>
          <span class="help-block pull-right" *ngIf="refund_remark?.length<500">
            <p id="characterLeft" class="help-block" style="font-size: 13px;margin-bottom: 15px;">
              {{500-refund_remark?.length}} characters left</p>
          </span>
        </div>
        <div class="form-group text-center" style="margin-bottom: 5px;margin-top: 42px;">
          <a href="javascript:void(0)" (click)="initiate_refund_process()" class="btn btn-primary btn-sm my_custom_btn"
            style="width: 100px;">Submit</a>
        </div>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="modification_required_btn_click" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content" style="border-radius: 0px;">

      <div class="modal-body" style="padding:1rem 1.5rem;text-align: left;border-bottom: 0px;">
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
        <div class="form-group">
          <h6 class="modal-title" style="margin-bottom: 0px;color: #393939;">Enter your suggestions to work on</h6>
          <textarea class="form-control" rows="10" placeholder="Type here..." name="modificationSuggestion"
            [(ngModel)]="modificationSuggestion"></textarea>
          <span class="error_msg"
            *ngIf="checkModification && (modificationSuggestion==null || modificationSuggestion==undefined || modificationSuggestion.trim()=='')">
            Please enter suggestion.
          </span>
        </div>
        <div class="form-group text-right" style="margin-bottom: 5px;">
          <a href="javascript:void(0)" class="btn btn-primary btn-sm my_custom_btn" style="width: 100px;"
            (click)="onSubmitModificationPop()">Submit</a>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="cancelled_btn_click" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content" style="border-radius: 0px;border-color: #c2c2c2">
      <div class="modal-header custom_modal_header" style="background-color: #c2c2c2;">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Order Cancellation
        </h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body" style="padding:1rem 1.5rem;text-align: left;border-bottom: 0px;">
        <div class="form-group">
          <h4 class="modal-title modal_title_text"
            style="font-size: 14px;margin-bottom: 0px;text-align: left;color: #494949;font-weight: 500;">Order
            cancellation reason?</h4>
          <!-- <p style="font-size: 13px;margin-bottom: 0px;"><i class="fa fa-angle-double-right"></i> You will be refund <b style="color: #19c96b;">Rs. 500</b> in the next 10 days.</p>
                <p style="font-size: 13px;margin-bottom: 0px;"><i class="fa fa-angle-double-right"></i> There will be no refund amount against this cancellation.</p>
                <p style="font-size: 13px;margin-bottom: 0px;"><i class="fa fa-angle-double-right"></i> The buyer will be refund entire amount.</p> -->
          <select class="form-control" name="cancelReason" [(ngModel)]="getOrderCancellationReason.id" required>
            <option value="0">Select Option</option>
            <option *ngFor="let option of cancelReasonList" value={{option.id}}>
              {{option.order_cancel_reason_name}}
            </option>
          </select>
          <span class="error_msg"
            *ngIf="checkcancel && (getOrderCancellationReason.id==0 || getOrderCancellationReason.id==undefined || getOrderCancellationReason.id==null)">
            Please select reason
          </span>
        </div>

        <div class="form-group" *ngIf="getOrderCancellationReason?.id==4">
          <h6 class="modal-title" style="margin-bottom: 0px;color: #393939;">Comment</h6>
          <textarea class="form-control" rows="3" placeholder="Type here..." name="cancelComment" maxlength="500"
            [(ngModel)]="cancelComment"></textarea>
          <span class="error_msg"
            *ngIf="checkcancel && (getOrderCancellationReason.id==4 && (cancelComment==null || cancelComment==undefined || cancelComment.trim()==''))">
            Please enter other reason
          </span>
          <span class="help-block pull-right" *ngIf="cancelComment?.length<500">
            <p id="characterLeft" class="help-block" style="font-size: 13px;margin-bottom: 15px;">
              {{500-cancelComment?.length}} characters left</p>
          </span>
        </div>
        <div class="form-group text-right" style="margin-bottom: 5px;">
          <a href="javascript:void(0)" class="btn btn-primary btn-sm my_custom_btn" style="width: 100px;"
            (click)="onSubmitCancelPop()">Submit</a>
        </div>
      </div>
    </div>
  </div>
</div>